
%global meadversion 4.0.4
%global namedversion 4.0.4.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 2
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}twitter4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.4.redhat-3

Name:           %{?scl_prefix}twitter4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        twitter4j
Group:          Development/Java

%if %with mead
Source100: twitter4j-4.0.4.redhat-3-scm-sources.zip
Source102: twitter4j-async-4.0.4.redhat-3.pom
Source103: twitter4j-async-4.0.4.redhat-3-javadoc.jar
Source104: twitter4j-async-4.0.4.redhat-3-sources.jar
Source105: twitter4j-async-4.0.4.redhat-3.jar
Source106: twitter4j-examples-4.0.4.redhat-3-sources.jar
Source107: twitter4j-examples-4.0.4.redhat-3.pom
Source108: twitter4j-examples-4.0.4.redhat-3.jar
Source109: twitter4j-examples-4.0.4.redhat-3-javadoc.jar
Source110: twitter4j-appengine-4.0.4.redhat-3.pom
Source111: twitter4j-appengine-4.0.4.redhat-3-sources.jar
Source112: twitter4j-appengine-4.0.4.redhat-3.jar
Source113: twitter4j-appengine-4.0.4.redhat-3-javadoc.jar
Source114: twitter4j-http2-support-4.0.4.redhat-3.pom
Source115: twitter4j-http2-support-4.0.4.redhat-3-javadoc.jar
Source116: twitter4j-http2-support-4.0.4.redhat-3.jar
Source117: twitter4j-http2-support-4.0.4.redhat-3-sources.jar
Source118: twitter4j-core-4.0.4.redhat-3-sources.jar
Source119: twitter4j-core-4.0.4.redhat-3-javadoc.jar
Source120: twitter4j-core-4.0.4.redhat-3.jar
Source121: twitter4j-core-4.0.4.redhat-3.pom
Source122: twitter4j-media-support-4.0.4.redhat-3-javadoc.jar
Source123: twitter4j-media-support-4.0.4.redhat-3.jar
Source124: twitter4j-media-support-4.0.4.redhat-3-sources.jar
Source125: twitter4j-media-support-4.0.4.redhat-3.pom
Source126: twitter4j-4.0.4.redhat-3-project-sources.tar.gz
Source127: twitter4j-4.0.4.redhat-3.pom
Source128: twitter4j-stream-4.0.4.redhat-3-javadoc.jar
Source129: twitter4j-stream-4.0.4.redhat-3.pom
Source130: twitter4j-stream-4.0.4.redhat-3.jar
Source131: twitter4j-stream-4.0.4.redhat-3-sources.jar
%endif

License:        ASL 2.0
URL:            http://twitter4j.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-async
Summary:        twitter4j-async
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-async
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-core
Summary:        twitter4j-core
Group:          Development/Java


%description -n %{?scl_prefix}twitter4j-core
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-examples
Summary:        twitter4j-examples
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}twitter4j-async = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}twitter4j-stream = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}twitter4j-media-support = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-examples
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-appengine
Summary:        twitter4j-appengine
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-appengine
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-http2-support
Summary:        twitter4j-http2-support
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-http2-support
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-stream
Summary:        twitter4j-stream
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-stream
A Java library for the Twitter API.

%package -n %{?scl_prefix}twitter4j-media-support
Summary:        twitter4j-media-support
Group:          Development/Java

Requires:       %{?scl_prefix}twitter4j-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}twitter4j-media-support
Twitter4J optional component adds multimedia support.

%if %with javadoc
%package javadoc
Summary:        Javadoc for twitter4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n twitter4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/twitter4j-async-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-async-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-async-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-async-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-async-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-async-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-core-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-examples-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-examples-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-examples-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-examples-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-examples-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-examples-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-appengine-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-appengine-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-appengine-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-appengine-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-appengine-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-appengine-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-http2-support-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-http2-support-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-http2-support-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-http2-support-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-http2-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-http2-support-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-stream-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-stream-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-stream-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-stream-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-stream-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-stream-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/twitter4j-media-support-%{namedversion}.jar %{buildroot}%{_javadir}/twitter4j-media-support-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/twitter4j-media-support-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/twitter4j-media-support-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/twitter4j-media-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/twitter4j-media-support-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/twitter4j-%{namedversion}
unzip -qq %{_sourcedir}/twitter4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/twitter4j-%{namedversion} -x META-INF/\*
%{__ln_s} twitter4j-%{namedversion} %{buildroot}%{_javadocdir}/twitter4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}twitter4j
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}twitter4j-async
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-async-%{namedversion}.jar
%{_javadir}/twitter4j-async.jar
%if %with javadoc
%{_javadir}/twitter4j-async-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-async-javadoc.jar
%endif
%{_javadir}/twitter4j-async-%{namedversion}-sources.jar
%{_javadir}/twitter4j-async-sources.jar

%files -n %{?scl_prefix}twitter4j-core
%defattr(0644,root,root,0755)
%doc LICENSE.txt readme-libs.txt readme.txt
%{_javadir}/twitter4j-core-%{namedversion}.jar
%{_javadir}/twitter4j-core.jar
%if %with javadoc
%{_javadir}/twitter4j-core-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-core-javadoc.jar
%endif
%{_javadir}/twitter4j-core-%{namedversion}-sources.jar
%{_javadir}/twitter4j-core-sources.jar

%files -n %{?scl_prefix}twitter4j-examples
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-examples-%{namedversion}.jar
%{_javadir}/twitter4j-examples.jar
%if %with javadoc
%{_javadir}/twitter4j-examples-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-examples-javadoc.jar
%endif
%{_javadir}/twitter4j-examples-%{namedversion}-sources.jar
%{_javadir}/twitter4j-examples-sources.jar

%files -n %{?scl_prefix}twitter4j-appengine
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-appengine-%{namedversion}.jar
%{_javadir}/twitter4j-appengine.jar
%if %with javadoc
%{_javadir}/twitter4j-appengine-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-appengine-javadoc.jar
%endif
%{_javadir}/twitter4j-appengine-%{namedversion}-sources.jar
%{_javadir}/twitter4j-appengine-sources.jar

%files -n %{?scl_prefix}twitter4j-http2-support
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-http2-support-%{namedversion}.jar
%{_javadir}/twitter4j-http2-support.jar
%if %with javadoc
%{_javadir}/twitter4j-http2-support-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-http2-support-javadoc.jar
%endif
%{_javadir}/twitter4j-http2-support-%{namedversion}-sources.jar
%{_javadir}/twitter4j-http2-support-sources.jar

%files -n %{?scl_prefix}twitter4j-stream
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-stream-%{namedversion}.jar
%{_javadir}/twitter4j-stream.jar
%if %with javadoc
%{_javadir}/twitter4j-stream-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-stream-javadoc.jar
%endif
%{_javadir}/twitter4j-stream-%{namedversion}-sources.jar
%{_javadir}/twitter4j-stream-sources.jar

%files -n %{?scl_prefix}twitter4j-media-support
%defattr(0644,root,root,0755)
%{_javadir}/twitter4j-media-support-%{namedversion}.jar
%{_javadir}/twitter4j-media-support.jar
%if %with javadoc
%{_javadir}/twitter4j-media-support-%{namedversion}-javadoc.jar
%{_javadir}/twitter4j-media-support-javadoc.jar
%endif
%{_javadir}/twitter4j-media-support-%{namedversion}-sources.jar
%{_javadir}/twitter4j-media-support-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/twitter4j-%{namedversion}
%{_javadocdir}/twitter4j
%endif

%changelog
* Fri Dec 07 2018 Peter Skopek <pskopek@redhat.com> - 4.0.4-2.redhat_3.1
- rebuild

* Fri Dec 07 2018 Peter Skopek <pskopek@redhat.com> - 4.0.4-2.redhat_3.1
- rebuild

* Fri Dec 07 2018 Peter Skopek <pskopek@redhat.com> - 4.0.4-2.redhat_3.1
- fixed setup issue

* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 4.0.4-2.redhat_3.1
- missing SCL environment - rebuild

* Fri Apr 08 2016 David Walluck <dwalluck@redhat.com> - 4.0.4-1.redhat_3.1
- release

